"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __asyncValues = (this && this.__asyncValues) || function (o) {
    if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
    var m = o[Symbol.asyncIterator], i;
    return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
    function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
    function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContractAdditive = void 0;
const listService_1 = require("../services/contractAdditive/listService");
const approvalService_1 = require("../services/contractAdditive/approvalService");
const listCodService_1 = require("../services/contractAdditive/listCodService");
class ContractAdditive {
    list(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const listServiceContractAdditive = new listService_1.ListServiceContractAdditive();
            const listServiceContractAdditiveExecute = yield listServiceContractAdditive.execute(request.user_cod, request.database);
            return response.status(listServiceContractAdditiveExecute.status).json(listServiceContractAdditiveExecute.message);
        });
    }
    listCod(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const { cod } = request.params;
            const listCodServiceContractAdditive = new listCodService_1.ListCodServiceContractAdditive();
            const listCodServiceContractAdditiveExec = yield listCodServiceContractAdditive.execute(request.user_cod, cod, request.database);
            return response.status(listCodServiceContractAdditiveExec.status).json(listCodServiceContractAdditiveExec.message);
        });
    }
    approval(request, response) {
        var _a, e_1, _b, _c;
        return __awaiter(this, void 0, void 0, function* () {
            const { password, arrayAdcs } = request.body;
            const approvalServiceContract = new approvalService_1.ApprovalContractAdditive();
            const message = [];
            let status = 200;
            try {
                for (var _d = true, arrayAdcs_1 = __asyncValues(arrayAdcs), arrayAdcs_1_1; arrayAdcs_1_1 = yield arrayAdcs_1.next(), _a = arrayAdcs_1_1.done, !_a;) {
                    _c = arrayAdcs_1_1.value;
                    _d = false;
                    try {
                        const item = _c;
                        const execute = yield approvalServiceContract.execute(request.user_sigla, item.ass + '', item.codCocs + '', password, request.database);
                        message.push(execute.message);
                        if (execute.error) {
                            status = execute.status;
                        }
                    }
                    finally {
                        _d = true;
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (!_d && !_a && (_b = arrayAdcs_1.return)) yield _b.call(arrayAdcs_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return response.status(status).json(message);
        });
    }
}
exports.ContractAdditive = ContractAdditive;
