"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PurchaseWorksheetControllers = void 0;
const list_1 = require("../services/purchaseWorksheet/list");
const listSoli_1 = require("../services/purchaseWorksheet/listSoli");
const approvalPlac_1 = require("../services/purchaseWorksheet/approvalPlac");
const quotation_1 = require("../services/purchaseWorksheet/quotation");
const listForn_1 = require("../services/purchaseWorksheet/listForn");
class PurchaseWorksheetControllers {
    list(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const listPurcahseWorksheet = new list_1.ListPurcahseWorksheet();
            const listPurcahseWorksheetExec = yield listPurcahseWorksheet.execute(request.user_cod, request.database, '');
            return response.status(listPurcahseWorksheetExec.status).json(listPurcahseWorksheetExec.message);
        });
    }
    listCod(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const listPurcahseWorksheet = new list_1.ListPurcahseWorksheet();
            const { placCod } = request.params;
            const queryString = `
      AND 
        PLAC_COD = ${placCod}
    `;
            const listPurcahseWorksheetExec = yield listPurcahseWorksheet.execute(request.user_cod, request.database, queryString);
            return response.status(listPurcahseWorksheetExec.status).json(listPurcahseWorksheetExec.message);
        });
    }
    listSeco(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const listPurcahseWorksheet = new list_1.ListPurcahseWorksheet();
            const { secoCod } = request.params;
            const queryString = `
      AND 
        PLAC_SECO_COD = ${secoCod}
    `;
            const listPurcahseWorksheetExec = yield listPurcahseWorksheet.execute(request.user_cod, request.database, queryString);
            return response.status(listPurcahseWorksheetExec.status).json(listPurcahseWorksheetExec.message);
        });
    }
    listPess(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const listPurcahseWorksheet = new list_1.ListPurcahseWorksheet();
            const { pessCod } = request.params;
            const queryString = `
      AND 
        PLAC_PESS_COD = ${pessCod}
    `;
            const listPurcahseWorksheetExec = yield listPurcahseWorksheet.execute(request.user_cod, request.database, queryString);
            return response.status(listPurcahseWorksheetExec.status).json(listPurcahseWorksheetExec.message);
        });
    }
    listForn(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const listPurcahseWorksheet = new listForn_1.ListFornPurcahseWorksheet();
            const { placCod } = request.params;
            const listPurcahseWorksheetExec = yield listPurcahseWorksheet.execute(placCod, request.database);
            return response.status(listPurcahseWorksheetExec.status).json(listPurcahseWorksheetExec.message);
        });
    }
    listSoli(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const listPurcahseWorksheet = new listSoli_1.ListSoliPurcahseWorksheet();
            const { placCod } = request.params;
            const listPurcahseWorksheetExec = yield listPurcahseWorksheet.execute(placCod, request.database);
            return response.status(listPurcahseWorksheetExec.status).json(listPurcahseWorksheetExec.message);
        });
    }
    listCota(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const quotation = new quotation_1.Quotation();
            const { placCod, plafFornCod } = request.params;
            const quotationExec = yield quotation.execute(placCod, plafFornCod, request.database);
            return response.status(quotationExec.status).json(quotationExec.message);
        });
    }
    approval(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const { password, pos, placCod } = request.body;
            const approvalPlac = new approvalPlac_1.ApprovalPlac();
            const execute = yield approvalPlac.execute(request.user_sigla, placCod, password, pos, request.database);
            return response.status(execute.status).json(execute.message);
        });
    }
}
exports.PurchaseWorksheetControllers = PurchaseWorksheetControllers;
