"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const tradePasswordServices_1 = require("../services/user/tradePasswordServices");
const loginServices_1 = require("../services/user/loginServices");
const ListServices_1 = __importDefault(require("../services/user/ListServices"));
const GenerateTokenService_1 = require("../services/user/GenerateTokenService");
const tradeTokenApp_1 = require("../services/user/tradeTokenApp");
const listAprovSoli_1 = require("../services/user/listAprovSoli");
const verifyModule_1 = require("../services/user/verifyModule");
const verifyModuleUser_1 = require("../services/user/verifyModuleUser");
class UserController {
    index(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const user = new ListServices_1.default();
            const userList = yield user.execute();
            return response.json(userList);
        });
    }
    tradePassword(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const tradePassword = new tradePasswordServices_1.TradePasswordService();
            const { USUA_SIGLA, USUA_SENHA_APP, DATABASE } = request.body;
            const user = yield tradePassword.execute({
                USUA_SIGLA,
                USUA_SENHA_APP,
                DATABASE
            });
            return response.status(user.status).json(user);
        });
    }
    tradeToken(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const tradeTokenApp = new tradeTokenApp_1.TradeTokenAppService();
            const { USUA_SIGLA, USUA_APP_TOKEN } = request.body;
            const database = request.database;
            const user = yield tradeTokenApp.execute({
                USUA_SIGLA,
                USUA_APP_TOKEN,
                database
            });
            return response.status(user.status).json(user);
        });
    }
    login(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const login = new loginServices_1.LoginService();
            const { USUA_SIGLA, USUA_SENHA_APP, DATABASE, CNPJ } = request.body;
            const user = yield login.execute({
                USUA_SIGLA,
                USUA_SENHA_APP,
                DATABASE,
                CNPJ
            });
            return response.status(user.status).json(user);
        });
    }
    generateToken(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const authHeader = request.headers.authorization;
            if (!authHeader) {
                return response.status(400).json({ message: 'TOKEN IS MISSING' });
            }
            const [, refreshToken] = authHeader.split(' ');
            const generateToken = new GenerateTokenService_1.GenerateTokenService();
            const acessToken = yield generateToken.execute(refreshToken);
            return response.json({ acessToken });
        });
    }
    ListUserAprovSoli(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const listUserAprovSoliService = new listAprovSoli_1.ListUserAprovSoliService();
            const listUserAprovSoliServiceExec = yield listUserAprovSoliService.execute(request.database);
            return response.status(listUserAprovSoliServiceExec.status).json({ listUserAprovSoliServiceExec });
        });
    }
    ListVerifyModule(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const verifyModule = new verifyModule_1.VerifyModule();
            const { cnpj } = request.params;
            const verifyModuleExec = yield verifyModule.execute(cnpj);
            return response.status(verifyModuleExec.status).json(verifyModuleExec.message);
        });
    }
    ListVerifyModuleUser(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            const verifyModule = new verifyModuleUser_1.VerifyModuleUser();
            const { cnpj } = request.params;
            const verifyModuleExec = yield verifyModule.execute(request.database, request.user_cod);
            return response.status(verifyModuleExec.status).json(verifyModuleExec.message);
        });
    }
}
exports.default = UserController;
