"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.countNumAprovAditivoContrato = exports.updateAditivoContrato = exports.selectAditivoContrato4 = exports.selectAditivoContrato3 = exports.selectAditivoContrato2 = exports.selectAditivoContrato1 = void 0;
const selectAditivoContrato1 = (cod, queryString, database) => {
    return `
    USE [${database}]
    SELECT
      ADCS_COD,
      ADCS_QUANTIDADE,
      ADCS_VLR_UNIT,
      ADCS_DESC,
      ADCS_COCS_COD,
      ADCS_APROVADO,
      ADCS_SERV_COD,
      UNMA_SIGLA_COMERCIAL,
      SERV_COD,
      SERV_DESC,
      ADCS_DATA_INI,
      ADCS_DATA_FIM,
      ADCS_OBS,
      ADCS_NUMERO,
      (ADCS_QUANTIDADE * ADCS_VLR_UNIT) 
    AS 
      VALOR_TOTAL,
      '1' 
    AS 
      ASS,
    ITPC_DESC
    FROM
      ADITIVO_CONTRATO_SERVICO
    INNER JOIN 
      SERVICOS
    ON
      SERV_COD = ADCS_SERV_COD
    LEFT JOIN
      ITEM_PCG
    ON 
      ADCS_ITPC_COD_FINANC = ITPC_COD
    INNER JOIN
        UNID_MAT
    ON
        ADCS_UNMA_COD = UNMA_COD
    WHERE
      (ADCS_APROVADO != 'S' OR ADCS_APROVADO IS NULL)
    AND
      (ADCS_ASSINATURA_1 != 'S' OR ADCS_ASSINATURA_1 IS NULL)
    AND
      ADCS_USUA_COD_ASS_1 = ${cod}
    ${queryString}
  `;
};
exports.selectAditivoContrato1 = selectAditivoContrato1;
const selectAditivoContrato2 = (cod, queryString, database) => {
    return `
    USE [${database}]
    SELECT
      ADCS_COD,
      ADCS_QUANTIDADE,
      ADCS_VLR_UNIT,
      ADCS_DESC,
      ADCS_COCS_COD,
      ADCS_APROVADO,
      ADCS_SERV_COD,
      UNMA_SIGLA_COMERCIAL,
      SERV_COD,
      SERV_DESC,
      ADCS_DATA_INI,
      ADCS_DATA_FIM,
      ADCS_OBS,
      ADCS_NUMERO,
      (ADCS_QUANTIDADE * ADCS_VLR_UNIT) 
    AS 
      VALOR_TOTAL,
      '2' 
    AS 
      ASS,
    ITPC_DESC
    FROM
      ADITIVO_CONTRATO_SERVICO
    INNER JOIN 
      SERVICOS
    ON
      SERV_COD = ADCS_SERV_COD
    LEFT JOIN
      ITEM_PCG
    ON 
      ADCS_ITPC_COD_FINANC = ITPC_COD
    INNER JOIN
        UNID_MAT
    ON
        ADCS_UNMA_COD = UNMA_COD
    WHERE
      (ADCS_APROVADO != 'S' OR ADCS_APROVADO IS NULL)
    AND
      ADCS_ASSINATURA_1 = 'S'
    AND
      (ADCS_ASSINATURA_2 != 'S' OR ADCS_ASSINATURA_2 IS NULL)
    AND
      ADCS_USUA_COD_ASS_2 = ${cod}
    ${queryString}
  `;
};
exports.selectAditivoContrato2 = selectAditivoContrato2;
const selectAditivoContrato3 = (cod, queryString, database) => {
    return `
    USE [${database}]
    SELECT
      ADCS_COD,
      ADCS_QUANTIDADE,
      ADCS_VLR_UNIT,
      ADCS_DESC,
      ADCS_COCS_COD,
      ADCS_APROVADO,
      ADCS_SERV_COD,
      UNMA_SIGLA_COMERCIAL,
      SERV_COD,
      SERV_DESC,
      ADCS_DATA_INI,
      ADCS_DATA_FIM,
      ADCS_OBS,
      ADCS_NUMERO,
      (ADCS_QUANTIDADE * ADCS_VLR_UNIT),
      ITPC_DESC
    AS 
      VALOR_TOTAL,
      '3' 
    AS 
      ASS
    FROM
      ADITIVO_CONTRATO_SERVICO
    INNER JOIN 
      SERVICOS
    ON
      SERV_COD = ADCS_SERV_COD
    LEFT JOIN
      ITEM_PCG
    ON 
      ADCS_ITPC_COD_FINANC = ITPC_COD
    INNER JOIN
      UNID_MAT
    ON
      ADCS_UNMA_COD = UNMA_COD
    WHERE
      (ADCS_APROVADO != 'S' OR ADCS_APROVADO IS NULL)
    AND
      ADCS_ASSINATURA_1 = 'S'
    AND
      ADCS_ASSINATURA_2 = 'S'
    AND
      (ADCS_ASSINATURA_3 != 'S' OR ADCS_ASSINATURA_3 IS NULL)
    AND
      ADCS_USUA_COD_ASS_3 = ${cod}
    ${queryString}
  `;
};
exports.selectAditivoContrato3 = selectAditivoContrato3;
const selectAditivoContrato4 = (cod, queryString, database) => {
    return `
    USE [${database}]
    SELECT
      ADCS_COD,
      ADCS_QUANTIDADE,
      ADCS_VLR_UNIT,
      ADCS_DESC,
      ADCS_COCS_COD,
      ADCS_APROVADO,
      ADCS_SERV_COD,
      UNMA_SIGLA_COMERCIAL,
      SERV_COD,
      SERV_DESC,
      ADCS_DATA_INI,
      ADCS_DATA_FIM,
      ADCS_OBS,
      ADCS_NUMERO,
      (ADCS_QUANTIDADE * ADCS_VLR_UNIT),
      ITPC_DESC
    AS 
      VALOR_TOTAL,
      '4' 
    AS 
      ASS
    FROM
      ADITIVO_CONTRATO_SERVICO
    INNER JOIN 
      SERVICOS
    ON
      SERV_COD = ADCS_SERV_COD
    LEFT JOIN
      ITEM_PCG
    ON 
      ADCS_ITPC_COD_FINANC = ITPC_COD
    INNER JOIN
        UNID_MAT
    ON
        ADCS_UNMA_COD = UNMA_COD
    WHERE
      (ADCS_APROVADO != 'S' OR ADCS_APROVADO IS NULL)
    AND
      ADCS_ASSINATURA_1 = 'S'
    AND
      ADCS_ASSINATURA_2 = 'S'
    AND
      ADCS_ASSINATURA_3 = 'S'
    AND
      (ADCS_ASSINATURA_4 != 'S' OR ADCS_ASSINATURA_4 IS NULL)
    AND
      ADCS_USUA_COD_ASS_4 = ${cod}
    ${queryString}
  `;
};
exports.selectAditivoContrato4 = selectAditivoContrato4;
const updateAditivoContrato = (pos, cod, queryString, database) => {
    return `
    USE [${database}]
    UPDATE 
      ADITIVO_CONTRATO_SERVICO
    SET 
      ADCS_ASSINATURA_${pos} = 'S'
      ${queryString}
    WHERE
      ADCS_COD = ${cod}
  `;
};
exports.updateAditivoContrato = updateAditivoContrato;
const countNumAprovAditivoContrato = (cod, database) => {
    return `
    USE [${database}]
    SELECT
      (
        (
          SELECT
            COUNT(ADCS_ASSINATURA_1)
          FROM
            ADITIVO_CONTRATO_SERVICO
          WHERE
            ADCS_COD = ${cod}
          AND 
            ADCS_ASSINATURA_1 = 'S' 
        )
          +
        (
          SELECT
            COUNT(ADCS_ASSINATURA_2)
          FROM
            ADITIVO_CONTRATO_SERVICO
          WHERE
            ADCS_COD = ${cod}
          AND 
            ADCS_ASSINATURA_2 = 'S' 
        )
          +
        (
          SELECT
              COUNT(ADCS_ASSINATURA_3)
          FROM
              ADITIVO_CONTRATO_SERVICO
          WHERE
              ADCS_COD = ${cod}
          AND 
            ADCS_ASSINATURA_3 = 'S' 
        )
          +
        (
          SELECT
              COUNT(ADCS_ASSINATURA_4)
          FROM
              ADITIVO_CONTRATO_SERVICO
          WHERE
              ADCS_COD = ${cod}
          AND 
            ADCS_ASSINATURA_4 = 'S' 
        )
      ) AS NUM
    FROM
      ADITIVO_CONTRATO_SERVICO
    WHERE
        ADCS_COD = ${cod}
  `;
};
exports.countNumAprovAditivoContrato = countNumAprovAditivoContrato;
