"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectalmoRelUsuario = exports.selectAlmoRelCere = exports.selectAllAlmo = void 0;
const selectAllAlmo = (database) => {
    return `
        USE [${database}]
        SELECT
            ALMO_COD,
            ALMO_DESC
        FROM
            ALMOXARIFADO
        WHERE
            ALMO_IND_BLOQUEADO = 'N'
  `;
};
exports.selectAllAlmo = selectAllAlmo;
const selectAlmoRelCere = (codUsua, database) => {
    return `
    USE [${database}]
    SELECT 
        DISTINCT  ALMO_COD, 
        ALMO_DESC
    FROM  
        ALMOXARIFADO
    INNER JOIN
        REL_CERE_ALMOX
    ON
        ALMO_COD = RECA_ALMO_COD
    WHERE  
        ALMO_IND_BLOQUEADO = 'N'
    AND  
        RECA_CERE_COD 
    IN 
        (
            SELECT 
                USCR_CERE_COD
            FROM 
                USUARIO_CR
            WHERE
                USCR_USUA_COD = ${codUsua}
        )
    `;
};
exports.selectAlmoRelCere = selectAlmoRelCere;
const SelectalmoRelUsuario = (codUsua, database) => {
    return `
    USE [${database}]
    SELECT 
        DISTINCT  ALMO_COD,
        ALMO_DESC
    FROM  
        ALMOXARIFADO
    WHERE  
        ALMO_IND_BLOQUEADO = 'N'
    AND  
        ALMO_COD 
    IN 
        ( 
            SELECT 
                REUA_ALMO_COD 
            FROM 
                REL_USUARIO_ALMOX
            WHERE
                REUA_USUA_COD = ${codUsua}
        )
    `;
};
exports.SelectalmoRelUsuario = SelectalmoRelUsuario;
