"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.routerServiceContract = void 0;
const express_1 = __importDefault(require("express"));
const isAuthenticatedAcess_1 = __importDefault(require("../../middlewares/isAuthenticatedAcess"));
const serviceContract_1 = require("../../controllers/serviceContract");
exports.routerServiceContract = express_1.default.Router();
const serviceContract = new serviceContract_1.ServiceContract();
exports.routerServiceContract.get('/', isAuthenticatedAcess_1.default, serviceContract.list);
exports.routerServiceContract.get('/cod/:cod', isAuthenticatedAcess_1.default, serviceContract.listCode);
exports.routerServiceContract.get('/detalhes/:cod', isAuthenticatedAcess_1.default, serviceContract.listDetails);
exports.routerServiceContract.get('/empr/:empr', isAuthenticatedAcess_1.default, serviceContract.listEmpr);
exports.routerServiceContract.get('/fili/:fili', isAuthenticatedAcess_1.default, serviceContract.listFili);
exports.routerServiceContract.get('/forn/:forn', isAuthenticatedAcess_1.default, serviceContract.listForn);
exports.routerServiceContract.get('/local/:local', isAuthenticatedAcess_1.default, serviceContract.listLocal);
exports.routerServiceContract.get('/cr/:cereCod', isAuthenticatedAcess_1.default, serviceContract.listCereCod);
exports.routerServiceContract.patch('/', isAuthenticatedAcess_1.default, serviceContract.approval);
