"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListCompanyUserService = void 0;
const empresaRepositories_1 = require("../../typeorm/repository/empresaRepositories");
const branch_1 = require("../../queries/branch");
class ListCompanyUserService {
    execute(cod, database) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const sql = (0, branch_1.searchEmprUsua)(cod, database);
                const empresaQuery = yield empresaRepositories_1.EmpresaContaRepository.query(sql);
                return {
                    status: 200,
                    message: empresaQuery
                };
            }
            catch (e) {
                return {
                    message: 'Internal Server Error',
                    status: 500
                };
            }
        });
    }
}
exports.ListCompanyUserService = ListCompanyUserService;
