"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApprovalContractAdditive = void 0;
const pedidoEstoqueRepositories_1 = require("../../typeorm/repository/pedidoEstoqueRepositories");
const dotenv_1 = __importDefault(require("dotenv"));
const contractAdditive_1 = require("../../queries/contractAdditive");
const verifyUser_1 = require("../../utils/verifyUser");
dotenv_1.default.config();
class ApprovalContractAdditive {
    execute(cod, ass, codCocs, password, database) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const { message, error, status } = yield (0, verifyUser_1.verifyUserLogin)(cod, password, database);
                if (error) {
                    return ({
                        message,
                        error,
                        status
                    });
                }
                const selectPageNumAprova = yield pedidoEstoqueRepositories_1.PedidoEstoqueRepository.query(`
        USE [${database}]
        SELECT 
          PAG2_NUM_APROVACOES_CONTR,
          PAG2_TODAS_APROVACOES_CONTR
        FROM 
          PARAMETROS_GERAIS_2
      `);
                const sql = (0, contractAdditive_1.countNumAprovAditivoContrato)(codCocs, database);
                const selectQtdAprova = yield pedidoEstoqueRepositories_1.PedidoEstoqueRepository.query(sql);
                let statusSQL = '';
                let pos = 0;
                if (selectPageNumAprova[0].PAG2_TODAS_APROVACOES_CONTR === 'S') {
                    if (selectPageNumAprova[0].PAG2_NUM_APROVACOES_CONTR === 1) {
                        pos = 1;
                        statusSQL = ",ADCS_APROVADO = 'S'";
                    }
                    else if (selectPageNumAprova[0].PAG2_NUM_APROVACOES_CONTR === 2 && selectQtdAprova[0].NUM === 1) {
                        pos = 2;
                        statusSQL = ",ADCS_APROVADO = 'S'";
                    }
                    else if (selectPageNumAprova[0].PAG2_NUM_APROVACOES_CONTR === 3 && selectQtdAprova[0].NUM === 2) {
                        pos = 3;
                        statusSQL = ",ADCS_APROVADO = 'S'";
                    }
                    else if (selectPageNumAprova[0].PAG2_NUM_APROVACOES_CONTR === 4 && selectQtdAprova[0].NUM === 3) {
                        pos = 4;
                        statusSQL = ",ADCS_APROVADO = 'S'";
                    }
                }
                else {
                    pos = 1;
                    statusSQL = ",ADCS_APROVADO = 'S'";
                }
                const sql2 = (0, contractAdditive_1.updateAditivoContrato)(pos, codCocs, statusSQL, database);
                console.log(sql);
                console.log(sql2);
                console.log(selectQtdAprova);
                yield pedidoEstoqueRepositories_1.PedidoEstoqueRepository.query(sql2);
                console.log(`Aditivo de contrato ${codCocs} aprovado com sucesso`);
                return {
                    status: 200,
                    message: `Aditivo de contrato ${codCocs} aprovado com sucesso`,
                    error: false
                };
            }
            catch (e) {
                return ({
                    message: 'Internal server error',
                    error: true,
                    status: 500
                });
            }
        });
    }
}
exports.ApprovalContractAdditive = ApprovalContractAdditive;
