"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListMaterialService = void 0;
const usuarioRepositories_1 = require("../../typeorm/repository/usuarioRepositories");
const material_1 = require("../../queries/material");
class ListMaterialService {
    execute(database) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const sqlMaterialAllData = yield usuarioRepositories_1.UsuarioRepository.query((0, material_1.sqlMaterialAllDataQuery)(database));
                return {
                    message: sqlMaterialAllData,
                    status: 200
                };
            }
            catch (e) {
                return {
                    message: 'Internal Server Error',
                    status: 500
                };
            }
        });
    }
}
exports.ListMaterialService = ListMaterialService;
