"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DetailsResultCenterService = void 0;
const usuarioRepositories_1 = require("../../typeorm/repository/usuarioRepositories");
const resultCenter_1 = require("../../queries/resultCenter");
class DetailsResultCenterService {
    execute(cod, planoContasCod, dataIni, dataFim, database) {
        return __awaiter(this, void 0, void 0, function* () {
            const sqlSelectDetails = (0, resultCenter_1.detailsCR)(planoContasCod, cod, dataFim, dataIni, database);
            console.log(sqlSelectDetails);
            const resultSelectDetails = yield usuarioRepositories_1.UsuarioRepository.query(sqlSelectDetails);
            // receitas
            let totalReceita = 0;
            let baixadoReceita = 0;
            let abertoReceita = 0;
            // despesas
            let baixadoDespesa = 0;
            let totalDespesa = 0;
            let abertoDespesa = 0;
            // valor totais
            let baixado = 0;
            let total = 0;
            let aberto = 0;
            resultSelectDetails.forEach((element) => {
                let valPago = parseFloat(element.valPago);
                let tipo = parseInt(element.tipo);
                let valPrev = parseFloat(element.valPrev);
                if (!valPago) {
                    valPago = 0;
                }
                if (!tipo) {
                    tipo = 0;
                }
                if (!valPrev) {
                    valPrev = 0;
                }
                if (parseInt(element.tipo) === 4 || parseInt(element.tipo) === 5 ||
                    parseInt(element.tipo) === 8 || parseInt(element.tipo) === 10) {
                    if (parseInt(element.tipo) === 10) {
                        abertoReceita += valPrev;
                    }
                    if (parseFloat(element.valPago) !== null && parseInt(element.tipo) !== 10) {
                        baixadoReceita += valPago;
                    }
                    if (parseFloat(element.valPrev) !== null) {
                        if (parseFloat(element.valPago) !== null) {
                            totalReceita += valPago;
                        }
                        else {
                            totalReceita += valPrev;
                        }
                    }
                    else {
                        totalReceita += valPago;
                    }
                    // abertoReceita += (totalReceita - baixadoReceita)
                }
                else {
                    if (parseInt(element.tipo) === 9) {
                        abertoDespesa += valPrev;
                    }
                    if (parseFloat(element.valPago) !== null && parseInt(element.tipo) !== 9) {
                        baixadoDespesa += valPago;
                    }
                    if (parseFloat(element.valPrev) !== null) {
                        if (parseFloat(element.valPago) !== null) {
                            totalDespesa += valPago;
                        }
                        else {
                            totalDespesa += valPrev;
                        }
                    }
                    else {
                        totalDespesa += valPago;
                    }
                    // abertoDespesa += (totalDespesa - baixadoDespesa)
                }
            });
            console.log('====================================');
            console.log(totalReceita);
            console.log('====================================');
            console.log('====================================');
            console.log(baixadoReceita);
            console.log('====================================');
            console.log('====================================');
            console.log(totalDespesa);
            console.log('====================================');
            console.log('====================================');
            console.log(baixadoDespesa);
            console.log('====================================');
            // abertoReceita = totalReceita - baixadoReceita
            // abertoDespesa = totalDespesa - baixadoDespesa
            console.log('====================================');
            console.log(abertoReceita);
            console.log('====================================');
            console.log('====================================');
            console.log(abertoDespesa);
            console.log('====================================');
            aberto = abertoReceita - abertoDespesa;
            baixado = baixadoReceita - baixadoDespesa;
            total = totalReceita - totalDespesa;
            const responseDados = {
                receita: {
                    abertoReceita: abertoReceita.toFixed(2),
                    totalReceita: totalReceita.toFixed(2),
                    baixadoReceita: baixadoReceita.toFixed(2)
                },
                despesa: {
                    totalDespesa: totalDespesa.toFixed(2),
                    baixadoDespesa: baixadoDespesa.toFixed(2),
                    abertoDespesa: abertoDespesa.toFixed(2)
                },
                totais: {
                    baixado: baixado.toFixed(2),
                    aberto: aberto.toFixed(2),
                    total: total.toFixed(2)
                }
            };
            return {
                error: false,
                message: responseDados,
                status: 200
            };
        });
    }
}
exports.DetailsResultCenterService = DetailsResultCenterService;
