"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TradePasswordService = void 0;
const bcrypt_1 = __importDefault(require("bcrypt"));
const usuarioRepositories_1 = require("../../typeorm/repository/usuarioRepositories");
const verifyUser_1 = require("../../utils/verifyUser");
class TradePasswordService {
    execute({ USUA_SIGLA, USUA_SENHA_APP, DATABASE }) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const { message, error, status } = yield (0, verifyUser_1.verifyUserSignUp)(USUA_SIGLA, USUA_SENHA_APP, DATABASE);
                if (error) {
                    return {
                        message,
                        error,
                        status
                    };
                }
                const saltRounds = 2;
                const passwordHash = yield bcrypt_1.default.hash(USUA_SENHA_APP, saltRounds);
                yield usuarioRepositories_1.UsuarioRepository.query(`
        USE [${DATABASE}]
        UPDATE
          USUARIO
        SET
          USUA_SENHA_APP = '${passwordHash}'
        WHERE 
          USUA_SIGLA = '${USUA_SIGLA}'
      `);
                return {
                    message: 'Senha trocada com sucesso ',
                    error: false,
                    status: 200
                };
            }
            catch (e) {
                return {
                    message: 'Error' + e,
                    error: true,
                    status: 500
                };
            }
        });
    }
}
exports.TradePasswordService = TradePasswordService;
