import { selectCota } from "../../queries/purchaseWorksheet";
import { CotacaoRepository } from "../../typeorm/repository/cotacaoRepositories";

interface IResponse {
    message: string,
    status: number
}

export class Quotation {

    public async execute(
        plafFornCod: string,
        placCod: string,
        database: string
    ): Promise<IResponse> {

        try {

            const selectQuotation = selectCota(
                plafFornCod,
                placCod,
                database
            )

            const selectQuotationExec = await CotacaoRepository.query(selectQuotation)

            return ({
                message: selectQuotationExec,
                status: 200
            })     

        } catch(e) {

          return ({
            message: 'Internal server error' + e,
            status: 500
          })

        }

    }

}